public static interface QuickfixjEndpointBuilderFactory.QuickfixjBuilders
| Modifier and Type | Method and Description |
|---|---|
default QuickfixjEndpointBuilderFactory.QuickfixjEndpointBuilder |
quickfix(String path)
QuickFix (camel-quickfix)
Open a Financial Interchange (FIX) session using an embedded
QuickFix/J engine.
|
default QuickfixjEndpointBuilderFactory.QuickfixjEndpointBuilder |
quickfix(String componentName,
String path)
QuickFix (camel-quickfix)
Open a Financial Interchange (FIX) session using an embedded
QuickFix/J engine.
|
default QuickfixjEndpointBuilderFactory.QuickfixjEndpointBuilder quickfix(String path)
quickfix:configurationName
Path parameter: configurationName (required)
Path to the quickfix configuration file. You can prefix with:
classpath, file, http, ref, or bean. classpath, file and http loads
the configuration file using these protocols (classpath is default).
ref will lookup the configuration file in the registry. bean will
call a method on a bean to be used as the configuration. For bean you
can specify the method name after dot, eg bean:myBean.myMethodpath - configurationNamedefault QuickfixjEndpointBuilderFactory.QuickfixjEndpointBuilder quickfix(String componentName, String path)
quickfix:configurationName
Path parameter: configurationName (required)
Path to the quickfix configuration file. You can prefix with:
classpath, file, http, ref, or bean. classpath, file and http loads
the configuration file using these protocols (classpath is default).
ref will lookup the configuration file in the registry. bean will
call a method on a bean to be used as the configuration. For bean you
can specify the method name after dot, eg bean:myBean.myMethodcomponentName - to use a custom component name for the endpoint
instead of the default namepath - configurationNameApache Camel